# Class ImaInvalidVpaidModeError

#### Hierarchy (view full)

- AdsError
  - ImaInvalidVpaidModeError

#####
Index

### Constructors

constructor

### Properties

category
code
description
mode

## Constructors

### constructor

- new ImaInvalidVpaidModeError(mode): ImaInvalidVpaidModeError

- #### Parameters

  - mode: string

  #### Returns ImaInvalidVpaidModeError

  Overrides AdsError.constructor

## Properties

### `Readonly` category

category: Ads = ErrorCategory.Ads

Inherited from AdsError.category

### `Readonly` code

code: ImaInvalidVpaidMode = ErrorCode.ImaInvalidVpaidMode

Overrides AdsError.code

### `Readonly` description

description: "An invalid IMA VPAID mode was requested." = 'An invalid IMA VPAID mode was requested.'

### `Readonly` mode

mode: string